// temporary fix to avoid on central european time a wrong computation of time with historical dates
// because timezoneOffset uses seconds for dates around 1900. Using this algorithm returns
// a decimal timezoneOffset that has more precision than the generic getDateTimeOffset that returns only minutes
Date.prototype.getTimezoneOffset = function() {
    let utcDate = new Date(Date.UTC(this.getFullYear(), this.getMonth(), this.getDate()));
    let localDate = new Date(this.getFullYear(), this.getMonth(), this.getDate())
    return (localDate.getTime() - utcDate.getTime()) / 60000;
 }
